<?php

namespace Salesloo\Setting_Page;

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

use Salesloo\Abstracts\Setting_Page;

/**
 * 
 * Checkout Coupon
 */
class Checkout_Coupon extends Setting_Page
{
    /**
     * Constructor
     */
    public function __construct()
    {
        $this->tab = 'checkout';
        $this->name = 'coupon';
        $this->label = __('Coupon', 'salesloo');
    }

    public function fields()
    {

        \salesloo_field_editor([
            'label'       => __('Information', 'salesloo'),
            'name'        => 'checkout_coupon_information',
            'description' => '',
            'value'       => \salesloo_get_option('checkout_coupon_information')
        ]);

        \salesloo_field_submit();
    }
}
